package com.brframework.commoncms.core.layout;

import com.brframework.commoncms.utils.ControllerUtil;

import java.lang.reflect.Method;

/**
 * 数据模块
 *
 * @author xu
 * @date 2018/10/11 11:23
 */
public abstract class AbstractPanelLayout implements PanelLayout {

    private String title;

    @Override
    public String getTitle() {
        return title;
    }

    /**
     * 初始化Panel
     *
     * @param method
     */
    protected void init(Method method) {
        title = ControllerUtil.getTitle(method);
    }

}
